VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Interface Class Reference

`#include <interface.h>`

Inheritance diagram for Interface:

## Public Member Functions
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Constructor & Destructor Documentation

## ◆ ~Interface()

virtual ~Interface | ( |  | ) |
| inline virtual noexcept

## ◆ Interface() [1/3]

Interface | ( |  | ) |
| default

## ◆ Interface() [2/3]

Interface | ( | const Interface & |  | ) |
| delete

## ◆ Interface() [3/3]

Interface | ( | Interface && |  | ) |
| delete

## Member Function Documentation

## ◆ dynamicCast() [1/2]

template<typename T>

auto dynamicCast | ( |  | ) |
| inline

## ◆ dynamicCast() [2/2]

template<typename T>

const auto dynamicCast | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

Interface & operator= | ( | const Interface & |  | ) |
| delete

## ◆ operator=() [2/2]

Interface & operator= | ( | Interface && |  | ) |
| delete

The documentation for this class was generated from the following file:

- interface.h